## org.dom4j.tree
Class ElementIterator

    java.lang.Object
      org.dom4j.tree.FilterIterator
          org.dom4j.tree.ElementIterator

All Implemented Interfaces:
  Iterator

Deprecated. THIS CLASS WILL BE REMOVED IN dom4j-1.6 !!

public class ElementIterator
extends FilterIterator

`ElementIterator` is a filtering `Iterator`which filters out objects which do not implement the `Element`interface.

Version:
  $Revision: 1.8 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.dom4j.tree.FilterIterator
`proxy`

Constructor Summary
`ElementIterator(Iterator proxy)` Deprecated.

Method Summary
`protected boolean` `matches(Object element)` Deprecated. DOCUMENT ME!

Methods inherited from class org.dom4j.tree.FilterIterator
`findNext, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementIterator

    public ElementIterator(Iterator proxy)

  Deprecated.

Method Detail

### matches

    protected boolean matches(Object element)

  Deprecated.
  DOCUMENT ME!

  Specified by:
    `matches` in class `FilterIterator`
  Parameters:
    `element` - DOCUMENT ME!
  Returns:
    true if the given element implements the `Element` interface

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.